Manage Connectors
Create
Create a new vector database (VDB) connector.
Request Body
| Field | Type | Description |
|---|---|---|
connector_name | str | The profile name of the data connector to create. |
connector_body | VDBConfigs | Configuration object for the VDB connector. |
Response
- 200: VDB connector created successfully
- Returns:
{ "profile_id": str }
- Returns:
- 500: Internal Server Error (e.g., failed to store secret)
Example
{
"connector_name": "my-pinecone-db",
"connector_body": {
"vector_db_type": "pinecone",
"api_key": "your-api-key",
"environment": "us-east-1-aws",
"index_name": "my-index"
}
}
POST
Python
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Response
Successful Response
Python
